Skip to navigation

Get users in organization

View as Markdown

Returns information about the users in an organization.

You must include at least one of the following query parameters in the request:

  • account_id: The ID of an account associated with the organization.
  • organization_reserved_domain_id: The ID of one of the organization’s reserved domains.
  • email: An email address associated with the users that you want to return.

Required authentication scopes: user_read.

Authentication

AuthorizationBearer
OAuth2 Access code Grant

Path parameters

organizationIdstringRequiredformat: "uuid"
The organization ID Guid

Query parameters

startintegerOptional
Index of first item to include in the response. The default value is 0.
takeintegerOptional
Page size of the response. The default value is 20.
endintegerOptional

Index of the last item to include in the response. Ignored if take parameter is specified.

emailstringOptional

Email address of the desired user. At least one of email, account_id or organization_reserved_domain_id must be specified.

email_user_name_likestringOptional
Selects users by pattern matching on the user's email address
statusstringOptional
Status.
membership_statusstringOptional

The user’s membership status. One of:

  • activation_required
  • activation_sent
  • active
  • closed
  • disabled
account_idstringOptionalformat: "uuid"

Select users that are members of the specified account. At least one of email, account_id or organization_reserved_domain_id must be specified.

organization_reserved_domain_idstringOptionalformat: "uuid"

Select users that are in the specified domain. At least one of email, account_id or organization_reserved_domain_id must be specified.

last_modified_sincestringOptional

Select users whose data have been modified since the date specified; account_id or organization_reserved_domain_id must be specified.

include_ds_groupsbooleanOptional

Select users with groups the users belong to; The organization must have entitlement AllowMultiApplication enabled.

include_licensebooleanOptional

When true: additional details about the user’s license will be included in the response; account_id must be specified and the account must have an IAM plan with licenses.

Response

OK
userslist of objectsOptional
A list of users.
pagingobjectOptional